Name:           lsp-dsp-lib
Version:        0.5.14
Release:        2%{?dist}
Summary:        DSP library for digital signal processing (and more)

License:        GPLv3
URL:            https://github.com/sadko4u/lsp-dsp-lib
Source0:        https://github.com/sadko4u/%{name}/releases/download/%{version}/%{name}-%{version}-src.tar.gz
Source1:        https://raw.githubusercontent.com/sadko4u/%{name}/master/README.md
Patch0001:      0001-Set-library-soname.patch
Patch0002:      0002-Change-library-target-file-names.patch

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
This library provides set of functions that perform SIMD-optimized computing on several hardware architectures.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Summary: Development files for lsp-dsp-lib

%description devel
This library provides set of functions that perform SIMD-optimized computing on several hardware architectures.

Provides files for building applications against lsp-dsp-lib.

%prep
%autosetup -n %{name} -Sgit -p1
cp -v %{SOURCE1} README.md

%build
%make_build config PREFIX=%{_prefix} LIBDIR=%{_libdir} CFLAGS='%{optflags}' CXXFLAGS='%{optflags}'
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir} CFLAGS='%{optflags}' CXXFLAGS='%{optflags}'


%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm %{buildroot}/%{_libdir}/lib%{name}.a.%{version}
rm %{buildroot}/%{_libdir}/lib%{name}.a


%files
%license COPYING
%doc README.md
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so

%files devel
%{_includedir}/lsp-plug.in/dsp/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Aug 20 2021 Olivier Samyn <code@oleastre.be> - 0.5.14-2
- Added so naming patches

* Tue Aug 17 2021 Olivier Samyn <code@oleastre.be> - 0.5.14-1
- New upstream release

* Thu Oct 01 2020 Olivier Samyn 🎻 <code@oleastre.be>
- Initial fedora package
